Ogre::PreApplyTextureAliasesScriptCompilerEvent Class Reference
General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::PreApplyTextureAliasesScriptCompilerEvent:
[legend]

List of all members.

## Public Member Functions

| PreApplyTextureAliasesScriptCompilerEvent (Material *material, AliasTextureNamePairList *aliases)

## Public Attributes

Material * | mMaterial
AliasTextureNamePairList * | mAliases
String | mType

## Static Public Attributes

static String | eventType

## Detailed Description

Definition at line 464 of file OgreScriptCompiler.h.

## Constructor & Destructor Documentation

Ogre::PreApplyTextureAliasesScriptCompilerEvent::PreApplyTextureAliasesScriptCompilerEvent | ( | Material * | material,
|  | AliasTextureNamePairList * | aliases
| ) |  |

Definition at line 471 of file OgreScriptCompiler.h.

## Member Data Documentation

String Ogre::PreApplyTextureAliasesScriptCompilerEvent::eventType `[static]`

Definition at line 469 of file OgreScriptCompiler.h.

AliasTextureNamePairList* Ogre::PreApplyTextureAliasesScriptCompilerEvent::mAliases

Definition at line 468 of file OgreScriptCompiler.h.

Material* Ogre::PreApplyTextureAliasesScriptCompilerEvent::mMaterial

Definition at line 467 of file OgreScriptCompiler.h.

String Ogre::ScriptCompilerEvent::mType `[inherited]`

Definition at line 331 of file OgreScriptCompiler.h.

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:38